Subject: RE: Auto-tunnel Rant

From: "Dave Thaler" <[email-masked]>
Date: Mon, 26 Mar 2001 15:38:33 -0800

> > On Fri, Mar 23, 2001 at 07:32:48AM -0800, Kevin C. Almeroth wrote:
> > > Well, I'll add my voice to the rest of the noise.  As I see it,
> > > auto-tunneling is fine.  Why?
> > >
> > > 1.  Let's not get in the business of protecting people from
> > >     themselves (in reference to Dino's comment about large
> > >     fanout is bad...  it is, sure, but who cares?)
> >
> >         Those of us who are customers of router vendors (not
> > server/software vendors) have concerns about this impacting our
> > routers should they spend time creating tunnels.  large fanout
> > is bad in this case as to get upgrades to the cpu/power in these
> > takes 18 months as compared to the server market that gets a faster
> > cpu every few months and it is easier to add extra machines 
> when it's
> > needed.
> 
> That is the idea behind the CastGate proposal, it even allows 
> to distribute the
> tunnel end-points over your network....the CastGate client 
> will use - if
> allowed by your policy -  the Tunnel server reacheable via 
> the least congested
> path!
> I don't need routers in the proposal, I use PC's who are 
> really cheap as
> compared to even basic routers. ;-)

Actually I think that PCs would do for any of the auto-tunnel 
proposals.  None of them (to my knowledge) from this IETF assumed
that replication would be done by a normal router.  Rather,
my understanding is that they all assume a tunnel endpoint server,
where that server could be a PC or could be a special-purpose router
box that is decided for this purpose.

-Dave

---

From: Dirk Ooms <[email-masked]>
Date: Tue, 27 Mar 2001 09:17:06 +0200

> box that is decided for this purpose.

That was also my understanding: the relay box is just a workstation or
PC one adds to the multicast topology (this functionality shouldn't be
included by high-end routers).  If it is able to feed a few hundred
tunneled streams it can put some pressure on the downstream unicast-only
providers, and hopefully they will at last enable native multicast.

The dial-in solution of Dino will also work, but than one still needs
the co-operation of the ISP that doesn't want to co-operate in deploying
multicast in the first place.

Also since for auto-tunneling hosts and boxes in the network have to
talk to eachother I believe it is a subject for standardization (opposed
to what Kevin said).

cheers,
dirk

-- 
Dirk Ooms                       mailto:[email-masked]
                                tel:+32 3 2404732
Network Strategy Group (NSG)    http://aww.alcatel.com/nsg
Alcatel                         http://www.alcatel.com